package br.usp.ime.evolvinggraph;

import java.util.LinkedList;
import java.util.SortedSet;

public class Node {
	int id;
	LinkedList<Edge> adj;
	LinkedList<Integer> nodeSchedule;

	public Node(int id) {
		this.id = id;
		this.adj = new LinkedList<Edge>();
		this.nodeSchedule = new LinkedList<Integer>();
	}
	
	public void add(Node v, SortedSet<Integer> sched, int cost){
		this.adj.add(new Edge(this, v,sched,cost));
	}

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public LinkedList<Edge> getAdj() {
		return adj;
	}

	public LinkedList<Integer> getNodeSchedule() {
		return nodeSchedule;
	}
}
