package br.usp.ime.evolvinggraph;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertTrue;

import java.util.List;

import org.junit.Test;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.PrintStream;

import br.usp.ime.algorithms.Algorithm;
//import br.usp.ime.algorithms.ForemostAlgorithm;
import br.usp.ime.algorithms.JourneysAlgorithm;

public class saidaCurvaDePareto {
	
	@Test
	public void testInputRead2 () throws FileNotFoundException {
		File shortest = new File("pontos.txt");
		EvolvingGraph eg = EvolvingGraph.readEvolvingGraph("input/teste6.in");
		System.out.println("começou!");
		System.out.println("terminou!");
		System.out.println(eg);
		System.out.println("imprimiu!");
		PrintStream saida = new PrintStream(shortest);
		System.setOut(saida);
		Algorithm algorithm = new JourneysAlgorithm();
		algorithm.calculate(eg,eg.getNode(0));
		List<List<Journey>> pareto = algorithm.getPareto();
		int j = 11;
		for(int i = 0; i < pareto.get(j).size(); i++){
			System.out.println(pareto.get(j).get(i).getSize() + " " + pareto.get(j).get(i).getArrivalDate());
		}
			
		assertEquals(eg.getNumOfNodes(), eg.getNumOfNodes());
		assertTrue(eg.getNumOfEdges() >= eg.getNumOfEdges());
	}

}
